Get a recording
curl --request GET \
--url https://api.supernormal.com/api/v1/recordings/{id} \
--header 'X-API-TOKEN: <api-key>'import requests
url = "https://api.supernormal.com/api/v1/recordings/{id}"
headers = {"X-API-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-TOKEN': '<api-key>'}};
fetch('https://api.supernormal.com/api/v1/recordings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "<string>",
"status": "<string>",
"recorded_at": "<string>",
"completed_at": "<string>",
"duration_seconds": 123,
"participants_count": 123,
"summary": "<string>",
"owner": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"avatar_url": "<string>"
},
"notes": "<string>",
"meeting_summary": "<string>"
}Recordings
Get a recording
Returns a single recording by ID
GET
/
recordings
/
{id}
Get a recording
Authorizations
Path Parameters
The ID of the recording
Response
200 - application/json
Recording response
The recording’s ID
The recording’s title
The recording’s status
When the recording was captured, in ISO 8601 format
When the recording finished processing, in ISO 8601 format
Duration of the recording in seconds
Number of participants
A brief summary of the meeting
Show child attributes
Show child attributes
The meeting summary / notes content
The AI-generated meeting summary